TagLib::ID3v2::PopularimeterFrame Class Reference

An implementation of ID3v2 "popularimeter". More...

`#include <popularimeterframe.h>`

Inheritance diagram for TagLib::ID3v2::PopularimeterFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::PopularimeterFrame:
[legend]

## Public Member Functions

| PopularimeterFrame ()
| PopularimeterFrame (const ByteVector &data)
| ~PopularimeterFrame () override
| PopularimeterFrame (const PopularimeterFrame &)=delete
PopularimeterFrame & | operator= (const PopularimeterFrame &)=delete
String | toString () const override
StringList | toStringList () const override
String | email () const
void | setEmail (const String &s)
int | rating () const
void | setRating (int s)
unsigned int | counter () const
void | setCounter (unsigned int s)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 "popularimeter".

This implements the ID3v2 popularimeter (POPM frame). It consists of an email, a rating and an optional counter.

## Constructor & Destructor Documentation

## PopularimeterFrame() [1/3]

TagLib::ID3v2::PopularimeterFrame::PopularimeterFrame | ( |  | ) |

explicit

Construct an empty popularimeter frame.

Referenced by operator=(), PopularimeterFrame(), and renderFields().

## PopularimeterFrame() [2/3]

TagLib::ID3v2::PopularimeterFrame::PopularimeterFrame | ( | const ByteVector & | data | ) |

explicit

Construct a popularimeter based on the data in data.

## ~PopularimeterFrame()

TagLib::ID3v2::PopularimeterFrame::~PopularimeterFrame | ( |  | ) |

override

Destroys this PopularimeterFrame instance.

## PopularimeterFrame() [3/3]

TagLib::ID3v2::PopularimeterFrame::PopularimeterFrame | ( | const PopularimeterFrame & |  | ) |

delete

References PopularimeterFrame().

## Member Function Documentation

## counter()

unsigned int TagLib::ID3v2::PopularimeterFrame::counter | ( |  | ) | const

Returns the counter.

See also
  setCounter()

## email()

String TagLib::ID3v2::PopularimeterFrame::email | ( |  | ) | const

Returns the email.

See also
  setEmail()

## operator=()

PopularimeterFrame & TagLib::ID3v2::PopularimeterFrame::operator= | ( | const PopularimeterFrame & |  | ) |

delete

References PopularimeterFrame().

## parseFields()

void TagLib::ID3v2::PopularimeterFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## rating()

int TagLib::ID3v2::PopularimeterFrame::rating | ( |  | ) | const

Returns the rating.

See also
  setRating()

## renderFields()

ByteVector TagLib::ID3v2::PopularimeterFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References PopularimeterFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setCounter()

void TagLib::ID3v2::PopularimeterFrame::setCounter | ( | unsigned int | s | ) |

Set the counter.

See also
  counter()

## setEmail()

void TagLib::ID3v2::PopularimeterFrame::setEmail | ( | const String & | s | ) |

Set the email.

See also
  email()

## setRating()

void TagLib::ID3v2::PopularimeterFrame::setRating | ( | int | s | ) |

Set the rating.

See also
  rating()

## toString()

String TagLib::ID3v2::PopularimeterFrame::toString | ( |  | ) | const

override virtual

Returns the text of this popularimeter.

See also
  text()

Implements TagLib::ID3v2::Frame.

## toStringList()

StringList TagLib::ID3v2::PopularimeterFrame::toStringList | ( |  | ) | const

override virtual

Returns email, rating and counter.

Reimplemented from TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- popularimeterframe.h